%define name    giram
%define version 0.3.5
%define release 1mdk

Name:    %{name}
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: giram16.png.bz2
Source2: giram32.png.bz2
Source3: giram48.png.bz2
Summary: Giram Is Really A Modeller
Group:   Graphics
License: GPL
URL:     http://www.giram.org/

Requires: libgtk+2.0_0
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libarts-devel
BuildRequires: libart_lgpl2-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Giram is a povray-oriented 3D modeller

%prep
%setup -q

%build
 
%configure --libdir=%{_libdir} 
 
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{large,mini}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(giram): command="giram" icon="giram.png" section="Multimedia/Graphics" title="Giram" longtitle="Giram Is Really A Modeller" needs="x11"
EOF

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/%_datadir/locale/*/LC_MESSAGES/*GETTEXT_PACKAGE*
rm -rf $RPM_BUILD_ROOT/%_libdir/giram

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/giram
%{_bindir}/povfront
%{_menudir}/giram
%{_miconsdir}/giram.png
%{_iconsdir}/giram.png
%{_liconsdir}/giram.png
%config(noreplace) %{_sysconfdir}/giram/0.3/giramrc
%config(noreplace) %{_sysconfdir}/giram/0.3/giramrc_user
%config(noreplace) %{_sysconfdir}/giram/0.3/gtkrc
%config(noreplace) %{_sysconfdir}/giram/0.3/gtkrc_user
%config(noreplace) %{_sysconfdir}/giram/0.3/ps-menurc
# Giram doesn't currently handle these plug-ins...
#/usr/libexec/giram/plug-ins/Box
#/usr/libexec/giram/plug-ins/Rotate
#/usr/libexec/giram/plug-ins/Spheres
%{_mandir}/man1/giram.1*
%{_datadir}/doc/giram/Tutorial
%{_datadir}/giram/0.3/color/color1.gcf
%{_datadir}/giram/0.3/color_map/
%{_datadir}/giram/0.3/finish/finish1
%{_datadir}/giram/0.3/giram_logo.ppm
%{_datadir}/giram/0.3/giram_splash.ppm
%{_datadir}/giram/0.3/normal/normal1
%{_datadir}/giram/0.3/pigment/pigment1
%{_datadir}/giram/0.3/shape/shape1
%{_datadir}/giram/0.3/texture/texture1
%{_datadir}/giram/0.3/user_install
%{_datadir}/giram/0.3/tips/giram_conseils.fr.txt
%{_datadir}/giram/0.3/tips/giram_tips.txt
%{_datadir}/giram/0.3/modules/*
%{_datadir}/giram/0.3/user_install


%changelog
* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- rebuild

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Tue Jun 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-1mdk
- 0.3.2
- png icons (out xpm!)

* Wed May 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Apr 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0
- locales

* Fri Nov 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.11-1mdk
- 0.1.11

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-1mdk
- updated to 0.1.10

* Thu May 17 2001 DindinX <odin@mandrakesoft.com> 0.1.8-1mdk
- first mandrake release
